org.apache.lucene.search.uhighlight

## Class UHComponents

- java.lang.Object
- - org.apache.lucene.search.uhighlight.UHComponents

-     public class UHComponents
      extends Object

  A parameter object to hold the components a `FieldOffsetStrategy` needs.
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UHComponents(String field, Predicate<String> fieldMatcher, Query query, BytesRef[] terms, PhraseHelper phraseHelper, LabelledCharArrayMatcher[] automata, boolean hasUnrecognizedQueryPart, Set<UnifiedHighlighter.HighlightFlag> highlightFlags)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LabelledCharArrayMatcher[]` | `getAutomata()`
    `String` | `getField()`
    `Predicate<String>` | `getFieldMatcher()`
    `Set<UnifiedHighlighter.HighlightFlag>` | `getHighlightFlags()`
    `PhraseHelper` | `getPhraseHelper()`
    `Query` | `getQuery()`
    `BytesRef[]` | `getTerms()`
    `boolean` | `hasUnrecognizedQueryPart()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UHComponents

          public UHComponents(String field,
                              Predicate<String> fieldMatcher,
                              Query query,
                              BytesRef[] terms,
                              PhraseHelper phraseHelper,
                              LabelledCharArrayMatcher[] automata,
                              boolean hasUnrecognizedQueryPart,
                              Set<UnifiedHighlighter.HighlightFlag> highlightFlags)

  - ### Method Detail

    - #### getField

          public String getField()

    - #### getFieldMatcher

          public Predicate<String> getFieldMatcher()

    - #### getQuery

          public Query getQuery()

    - #### getTerms

          public BytesRef[] getTerms()

    - #### getPhraseHelper

          public PhraseHelper getPhraseHelper()

    - #### getAutomata

          public LabelledCharArrayMatcher[] getAutomata()

    - #### hasUnrecognizedQueryPart

          public boolean hasUnrecognizedQueryPart()

    - #### getHighlightFlags

          public Set<UnifiedHighlighter.HighlightFlag> getHighlightFlags()

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.